%define aurox_ver 9.4
%define rel 1

Summary: Support for Dutch interface in Mozilla
Name: mozilla-i18n-Dutch
Version: 1.6
Release: %{aurox_ver}.aur.%{rel}
License: MPL 1.1/GPL 2.0/LGPL 2.1
URL: http://nave.escomposlinux.org/
Source: http://ftp.mozilla.org/pub/mozilla/l10n/lang/moz%{version}/langnlnl.xpi
Group: Applications/Internet
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: mozilla >= %{version}
BuildPreReq: unzip

%description
Dutch translation of the Mozilla interface

%prep
%setup -q -T -c -n %{name}-%{version}
unzip %{SOURCE0}

%build
mylocale=nl-NL
mylang=nl
grep 'registerChrome (LOCALE' install.js | grep -v platform | grep -v mapi | awk '{print $6}' | sed 's/"//g;s#/);##g' | awk 'BEGIN {OFS=""} {print "locale,install,url,jar:resource:/chrome/nl-NL.jar!/locale/nl-NL/",$1,"/"}' | grep -v '//$' > lang-$mylocale.jar.txt
grep 'registerChrome (LOCALE' install.js | grep platform | awk '{print $6}' | sed 's/"//g;s#/);##g' | sort --unique | awk 'BEGIN {OFS=""} {print "locale,install,url,jar:resource:/chrome/nl-unix.jar!/locale/nl-NL/",$1,"/"}' | grep -v '//$' > lang-$mylang-unix.jar.txt

%install
rm -rf $RPM_BUILD_ROOT
# add new locale
mylocale=nl-NL
mylang=nl
install -d $RPM_BUILD_ROOT/usr/lib/mozilla-%{version}/chrome/lang
# Dutch uses chrome dir for everything:
cp -f chrome/$mylocale.jar $RPM_BUILD_ROOT/usr/lib/mozilla-%{version}/chrome/$mylocale.jar
cp -f chrome/$mylang-unix.jar $RPM_BUILD_ROOT/usr/lib/mozilla-%{version}/chrome/$mylang-unix.jar
cp -f lang-$mylocale.jar.txt lang-$mylang-unix.jar.txt $RPM_BUILD_ROOT/usr/lib/mozilla-%{version}/chrome/lang

%clean
rm -rf $RPM_BUILD_ROOT

%post
# run ldconfig before regxpcom
/sbin/ldconfig >/dev/null 2>/dev/null
if [ -f /usr/lib/mozilla-%{version}/mozilla-rebuild-databases.pl ]; then
    /usr/lib/mozilla-%{version}/mozilla-rebuild-databases.pl
fi

%postun
/sbin/ldconfig >/dev/null 2>/dev/null
if [ -f /usr/lib/mozilla-%{version}/mozilla-rebuild-databases.pl ]; then
    /usr/lib/mozilla-%{version}/mozilla-rebuild-databases.pl
fi

%files
%defattr(-,root,root)
/usr/lib/mozilla-%{version}/chrome/*.jar
/usr/lib/mozilla-%{version}/chrome/lang/*.txt

%changelog
* Mon Apr 26 2004 Aurox Team <aurox@aurox.org> 0:1.6-9.4.aur.1
- initial import

